export default [
  {
    id: "1",
    name: "基础配置",
    url: "base",
    type: "MENU",
    parentId: "-1",
    sequence: 1,
    enable: true,
  },
  {
    id: "2",
    name: "用户管理",
    url: "user",
    type: "MENU",
    parentId: "1",
    sequence: 1,
    enable: true,
  },
  {
    id: "4",
    name: "组织架构",
    url: "OrganizationManage",
    type: "MENU",
    parentId: "2",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "92",
        name: "组织机构-查询",
        url: "/api/admin/sys/org/list",
        type: "URL",
        parentId: "4",
        sequence: 1,
        enable: true,
      },
      {
        id: "93",
        name: "组织机构-新增/修改",
        url: "/api/admin/sys/org/save",
        type: "URL",
        parentId: "4",
        sequence: 2,
        enable: true,
      },
      {
        id: "94",
        name: "组织机构-删除",
        url: "/api/admin/sys/org/remove",
        type: "URL",
        parentId: "4",
        sequence: 3,
        enable: true,
      },
      {
        id: "371",
        name: "根据类型查询机构",
        url: "/api/admin/sys/org/find_by_type",
        type: "URL",
        parentId: "4",
        sequence: 5,
        enable: true,
      },
      {
        id: "757",
        name: "批量导入",
        url: "/api/admin/sys/org/import",
        type: "URL",
        parentId: "4",
        sequence: 5,
        enable: true,
      },
      {
        id: "811",
        name: "导出",
        url: "/api/admin/sys/org/export",
        type: "URL",
        parentId: "4",
        sequence: 6,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "224",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "4",
        sequence: 1,
        enable: true,
      },
      {
        id: "758",
        name: "导入",
        url: "Import",
        type: "BUTTON",
        parentId: "4",
        sequence: 4,
        enable: true,
      },
      {
        id: "810",
        name: "导出",
        url: "Export",
        type: "BUTTON",
        parentId: "4",
        sequence: 5,
        enable: true,
      },
    ],
    links: [
      {
        id: "225",
        name: "子部门",
        url: "Add",
        type: "LINK",
        parentId: "4",
        sequence: 1,
        enable: true,
      },
      {
        id: "226",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "4",
        sequence: 2,
        enable: true,
      },
      {
        id: "227",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "4",
        sequence: 3,
        enable: true,
      },
    ],
    lists: [
      {
        id: "228",
        name: "树形列表",
        url: "List",
        type: "LIST",
        parentId: "4",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "8",
    name: "通用规则",
    url: "CommonRule",
    type: "MENU",
    parentId: "3",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "99",
        name: "查询",
        url: "/api/admin/basic/exam_rule/list",
        type: "URL",
        parentId: "8",
        sequence: 1,
        enable: true,
      },
      {
        id: "100",
        name: "新增/修改",
        url: "/api/admin/basic/exam_rule/save",
        type: "URL",
        parentId: "8",
        sequence: 2,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "236",
        name: "考务规则配置",
        url: "Add",
        type: "BUTTON",
        parentId: "8",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "38",
    name: "印刷管理",
    url: "print",
    type: "MENU",
    parentId: "14",
    sequence: 1,
    enable: true,
  },
  {
    id: "39",
    name: "命题任务管理",
    url: "ExamTaskManage",
    type: "MENU",
    parentId: "652",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "63",
        name: "查询",
        url: "/api/admin/exam/task/list",
        type: "URL",
        parentId: "39",
        sequence: 1,
        enable: true,
      },
      {
        id: "64",
        name: "更改/指派命题老师",
        url: "/api/admin/exam/task/assign_user",
        type: "URL",
        parentId: "39",
        sequence: 2,
        enable: true,
      },
      {
        id: "65",
        name: "启用/禁用",
        url: "/api/admin/exam/task/enable",
        type: "URL",
        parentId: "39",
        sequence: 3,
        enable: true,
      },
      {
        id: "66",
        name: "新建",
        url: "/api/admin/exam/task/save",
        type: "URL",
        parentId: "39",
        sequence: 4,
        enable: true,
      },
      {
        id: "67",
        name: "批量新建-文件导入",
        url: "/api/admin/exam/task/import",
        type: "URL",
        parentId: "39",
        sequence: 5,
        enable: true,
      },
      {
        id: "68",
        name: "批量新建",
        url: "/api/admin/exam/task/save_batch",
        type: "URL",
        parentId: "39",
        sequence: 6,
        enable: true,
      },
      {
        id: "169",
        name: "根据课程查询命题老师",
        url: "/api/admin/sys/user/user_list",
        type: "URL",
        parentId: "39",
        sequence: 7,
        enable: true,
      },
      {
        id: "465",
        name: "新建命题申请-班级列表",
        url: "/api/admin/exam/task/list_task_apply_class",
        type: "URL",
        parentId: "39",
        sequence: 9,
        enable: true,
      },
      {
        id: "466",
        name: "命题任务-审批-获取试卷审批表数据",
        url: "/api/admin/exam/task/find_approve_form_json",
        type: "URL",
        parentId: "39",
        sequence: 10,
        enable: true,
      },
      {
        id: "467",
        name: "命题任务-审批-获取试卷审批表pdf",
        url: "/api/admin/exam/task/find_approve_form_pdf",
        type: "URL",
        parentId: "39",
        sequence: 11,
        enable: true,
      },
      {
        id: "477",
        name: "命题任务-考试对象查询",
        url: "/api/admin/exam/task/find_exam_object",
        type: "URL",
        parentId: "39",
        sequence: 12,
        enable: true,
      },
      {
        id: "805",
        name: "删除",
        url: "/api/admin/exam/task/delete",
        type: "URL",
        parentId: "39",
        sequence: 13,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "272",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "39",
        sequence: 1,
        enable: true,
      },
      {
        id: "273",
        name: "批量新增",
        url: "BatchAdd",
        type: "BUTTON",
        parentId: "39",
        sequence: 2,
        enable: true,
      },
      {
        id: "274",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "39",
        sequence: 3,
        enable: true,
      },
    ],
    links: [
      {
        id: "275",
        name: "预览",
        url: "Preview",
        type: "LINK",
        parentId: "39",
        sequence: 1,
        enable: true,
      },
      {
        id: "277",
        name: "启用/禁用",
        url: "Cancel",
        type: "LINK",
        parentId: "39",
        sequence: 3,
        enable: true,
      },
      {
        id: "448",
        name: "指派/更改",
        url: "Assign",
        type: "LINK",
        parentId: "39",
        sequence: 4,
        enable: true,
      },
      {
        id: "804",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "39",
        sequence: 5,
        enable: true,
      },
    ],
    lists: [
      {
        id: "279",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "39",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "278",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "39",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "43",
    name: "印刷计划管理",
    url: "PrintPlanManage",
    type: "MENU",
    parentId: "38",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "48",
        name: "查询",
        url: "/api/admin/exam/print/list",
        type: "URL",
        parentId: "43",
        sequence: 1,
        enable: true,
      },
      {
        id: "56",
        name: "查询",
        url: "/api/admin/exam/print/relate_list",
        type: "URL",
        parentId: "43",
        sequence: 1,
        enable: true,
      },
      {
        id: "49",
        name: "按类型查询模板",
        url: "/api/admin/exam/print/get_template",
        type: "URL",
        parentId: "43",
        sequence: 2,
        enable: true,
      },
      {
        id: "57",
        name: "关联/更换试卷",
        url: "/api/admin/exam/print/relate_update",
        type: "URL",
        parentId: "43",
        sequence: 2,
        enable: true,
      },
      {
        id: "105",
        name: "查询-汇总数据",
        url: "/api/admin/exam/print/relate_total",
        type: "URL",
        parentId: "43",
        sequence: 2,
        enable: true,
      },
      {
        id: "50",
        name: "新增/修改",
        url: "/api/admin/exam/print/save",
        type: "URL",
        parentId: "43",
        sequence: 3,
        enable: true,
      },
      {
        id: "58",
        name: "查询所有试卷编号/关联卷型",
        url: "/api/admin/exam/print/relate_get_paper_numbers",
        type: "URL",
        parentId: "43",
        sequence: 3,
        enable: true,
      },
      {
        id: "51",
        name: "删除",
        url: "/api/admin/exam/print/remove",
        type: "URL",
        parentId: "43",
        sequence: 4,
        enable: true,
      },
      {
        id: "825",
        name: "命题任务公共卷型查询接口",
        url: "/api/admin/exam/print/list_relate_common_types",
        type: "URL",
        parentId: "43",
        sequence: 5,
        enable: true,
      },
      {
        id: "826",
        name: "批量关联接口",
        url: "/api/admin/exam/print/relate_update_batch",
        type: "URL",
        parentId: "43",
        sequence: 6,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "309",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "43",
        sequence: 1,
        enable: true,
      },
      {
        id: "310",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "43",
        sequence: 2,
        enable: true,
      },
    ],
    links: [
      {
        id: "311",
        name: "查看",
        url: "Preview",
        type: "LINK",
        parentId: "43",
        sequence: 1,
        enable: true,
      },
      {
        id: "312",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "43",
        sequence: 2,
        enable: true,
      },
      {
        id: "313",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "43",
        sequence: 3,
        enable: true,
      },
    ],
    lists: [
      {
        id: "315",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "43",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "314",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "43",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "561",
    name: "归档管理",
    url: "ScoreArchivePrimary",
    type: "MENU",
    parentId: "506",
    sequence: 1,
    enable: true,
  },
  {
    id: "575",
    name: "课程管理",
    url: "basicInfo",
    type: "MENU",
    parentId: "650",
    sequence: 1,
    enable: true,
  },
  {
    id: "576",
    name: "课程管理",
    url: "CourseSimpleManage",
    type: "MENU",
    parentId: "575",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "830",
        name: "教学课程-分页查询",
        url: "/api/admin/teach/course/page",
        type: "URL",
        parentId: "576",
        sequence: 1,
        enable: true,
      },
      {
        id: "831",
        name: "教学课程-手动添加",
        url: "/api/admin/teach/course/manual_create",
        type: "URL",
        parentId: "576",
        sequence: 2,
        enable: true,
      },
      {
        id: "832",
        name: "教学课程-课程表选择并添加",
        url: "/api/admin/teach/course/select_create",
        type: "URL",
        parentId: "576",
        sequence: 3,
        enable: true,
      },
      {
        id: "833",
        name: "教学课程-批量导入",
        url: "/api/admin/teach/course/import",
        type: "URL",
        parentId: "576",
        sequence: 4,
        enable: true,
      },
      {
        id: "834",
        name: "教学课程-批量删除",
        url: "/api/admin/teach/course/delete",
        type: "URL",
        parentId: "576",
        sequence: 5,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "836",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "576",
        sequence: 2,
        enable: true,
      },
      {
        id: "840",
        name: "新增",
        url: "AddCourse",
        type: "BUTTON",
        parentId: "576",
        sequence: 5,
        enable: true,
      },
    ],
    links: [
      {
        id: "837",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "576",
        sequence: 3,
        enable: true,
      },
      {
        id: "841",
        name: "管理",
        url: "Link",
        type: "LINK",
        parentId: "576",
        sequence: 6,
        enable: true,
      },
    ],
    lists: [
      {
        id: "835",
        name: "教学课程-列表",
        url: "List",
        type: "LIST",
        parentId: "576",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "838",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "576",
        sequence: 4,
        enable: true,
      },
    ],
  },
  {
    id: "113",
    name: "任务管理",
    url: "DataTaskManage",
    type: "MENU",
    parentId: "112",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "114",
        name: "查询",
        url: "/api/admin/data/task/query",
        type: "URL",
        parentId: "113",
        sequence: 1,
        enable: true,
      },
      {
        id: "190",
        name: "重新生成pdf",
        url: "/api/admin/data/task/reset_create_pdf",
        type: "URL",
        parentId: "113",
        sequence: 2,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "337",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "113",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "338",
        name: "导出日志",
        url: "Export",
        type: "LINK",
        parentId: "113",
        sequence: 1,
        enable: true,
      },
      {
        id: "339",
        name: "下载文件",
        url: "Download",
        type: "LINK",
        parentId: "113",
        sequence: 2,
        enable: true,
      },
      {
        id: "413",
        name: "重新生成pdf",
        url: "CreatePdf",
        type: "LINK",
        parentId: "113",
        sequence: 3,
        enable: true,
      },
    ],
    lists: [
      {
        id: "341",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "113",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "340",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "113",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "652",
    name: "电子交卷",
    url: "electronicSubmit",
    type: "MENU",
    parentId: "651",
    sequence: 1,
    enable: true,
  },
  {
    id: "402",
    name: "流程管理",
    url: "FlowManage",
    type: "MENU",
    parentId: "390",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "414",
        name: "保存和发布流程",
        url: "/api/admin/custom/flow/save",
        type: "URL",
        parentId: "402",
        sequence: 1,
        enable: true,
      },
      {
        id: "415",
        name: "流程逻辑删除",
        url: "/api/admin/custom/flow/enable",
        type: "URL",
        parentId: "402",
        sequence: 2,
        enable: true,
      },
      {
        id: "416",
        name: "流程列表",
        url: "/api/admin/custom/flow/list",
        type: "URL",
        parentId: "402",
        sequence: 3,
        enable: true,
      },
      {
        id: "417",
        name: "审批流程",
        url: "/api/admin/custom/flow/task/approve",
        type: "URL",
        parentId: "402",
        sequence: 4,
        enable: true,
      },
      {
        id: "418",
        name: "流程审批记录列表",
        url: "/api/admin/custom/flow/approve/list",
        type: "URL",
        parentId: "402",
        sequence: 5,
        enable: true,
      },
      {
        id: "419",
        name: "流程审批记录逻辑删除",
        url: "/api/admin/custom/flow/approve/enable",
        type: "URL",
        parentId: "402",
        sequence: 6,
        enable: true,
      },
      {
        id: "420",
        name: "流程终止",
        url: "/api/admin/custom/flow/end",
        type: "URL",
        parentId: "402",
        sequence: 7,
        enable: true,
      },
      {
        id: "421",
        name: "获取所有流程节点",
        url: "/api/admin/custom/flow/task/all",
        type: "URL",
        parentId: "402",
        sequence: 8,
        enable: true,
      },
      {
        id: "441",
        name: "根据流程类型获取流程节点",
        url: "/api/admin/custom/flow/get_flow_info_by_type",
        type: "URL",
        parentId: "402",
        sequence: 9,
        enable: true,
      },
      {
        id: "442",
        name: "流程节点转他人审批",
        url: "/api/admin/custom/flow/task/approver/exchange",
        type: "URL",
        parentId: "402",
        sequence: 10,
        enable: true,
      },
      {
        id: "639",
        name: "编辑流程",
        url: "/api/admin/custom/flow/edit",
        type: "URL",
        parentId: "402",
        sequence: 14,
        enable: true,
      },
      {
        id: "640",
        name: "获取当前流程节点信息",
        url: "/api/admin/custom/flow/task/info",
        type: "URL",
        parentId: "402",
        sequence: 15,
        enable: true,
      },
      {
        id: "641",
        name: "流程信息",
        url: "/api/admin/custom/flow/view",
        type: "URL",
        parentId: "402",
        sequence: 16,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "407",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "402",
        sequence: 1,
        enable: true,
      },
      {
        id: "408",
        name: "新建流程",
        url: "Register",
        type: "BUTTON",
        parentId: "402",
        sequence: 2,
        enable: true,
      },
    ],
    links: [
      {
        id: "638",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "402",
        sequence: 1,
        enable: true,
      },
      {
        id: "409",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "402",
        sequence: 2,
        enable: true,
      },
      {
        id: "643",
        name: "重命名",
        url: "Rename",
        type: "LINK",
        parentId: "402",
        sequence: 3,
        enable: true,
      },
    ],
    lists: [
      {
        id: "411",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "402",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "410",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "402",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "708",
    name: "蓝图设置",
    url: "DataInitManage",
    type: "MENU",
    parentId: "680",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "709",
        name: "成绩分析课程数据初始化",
        url: "/api/admin/grade/paper/initialize",
        type: "URL",
        parentId: "708",
        sequence: 1,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "710",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "708",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "712",
        name: "成绩分析基础配置",
        url: "Window",
        type: "LINK",
        parentId: "708",
        sequence: 3,
        enable: true,
      },
    ],
    lists: [
      {
        id: "711",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "708",
        sequence: 2,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "749",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "708",
        sequence: 4,
        enable: true,
      },
    ],
  },
  {
    id: "486",
    name: "评卷管理",
    url: "MarkTaskManage",
    type: "MENU",
    parentId: "483",
    sequence: 1,
    enable: true,
  },
  {
    id: "491",
    name: "评卷入口",
    url: "MarkEntrance",
    type: "MENU",
    parentId: "486",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "541",
        name: "获取用户阅卷角色",
        url: "/api/admin/common/get_open_role",
        type: "URL",
        parentId: "491",
        sequence: 1,
        enable: true,
      },
      {
        id: "887",
        name: "查询",
        url: "/api/admin/mark/entrance/list",
        type: "URL",
        parentId: "491",
        sequence: 1,
        enable: true,
      },
      {
        id: "888",
        name: "评卷页面",
        url: "/api/mark/getSetting",
        type: "URL",
        parentId: "491",
        sequence: 2,
        enable: true,
      },
      {
        id: "889",
        name: "获取分组列表",
        url: "/api/mark/getGroup",
        type: "URL",
        parentId: "491",
        sequence: 3,
        enable: true,
      },
      {
        id: "492",
        name: "评卷员登录",
        url: "/api/admin/exam/sso/marker_login",
        type: "URL",
        parentId: "491",
        sequence: 3,
        enable: true,
      },
      {
        id: "890",
        name: "获取评卷状态",
        url: "/api/mark/getStatus",
        type: "URL",
        parentId: "491",
        sequence: 4,
        enable: true,
      },
      {
        id: "493",
        name: "科组长登录",
        url: "/api/admin/exam/sso/marker_leader_login",
        type: "URL",
        parentId: "491",
        sequence: 4,
        enable: true,
      },
      {
        id: "891",
        name: "获取任务",
        url: "/api/mark/getTask",
        type: "URL",
        parentId: "491",
        sequence: 5,
        enable: true,
      },
      {
        id: "892",
        name: "保存任务",
        url: "/api/mark/saveTask",
        type: "URL",
        parentId: "491",
        sequence: 6,
        enable: true,
      },
      {
        id: "893",
        name: "获取评卷历史",
        url: "/api/mark/getHistory",
        type: "URL",
        parentId: "491",
        sequence: 7,
        enable: true,
      },
      {
        id: "894",
        name: "更新个人评卷配置",
        url: "/api/mark/updateSetting",
        type: "URL",
        parentId: "491",
        sequence: 8,
        enable: true,
      },
      {
        id: "895",
        name: "选择评卷分组",
        url: "/api/mark/subjectSelect",
        type: "URL",
        parentId: "491",
        sequence: 9,
        enable: true,
      },
      {
        id: "896",
        name: "清理评卷员的评卷任务缓存",
        url: "/api/mark/clear",
        type: "URL",
        parentId: "491",
        sequence: 10,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "885",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "491",
        sequence: 2,
        enable: true,
      },
    ],
    links: [
      {
        id: "886",
        name: "点击评卷",
        url: "Marking",
        type: "LINK",
        parentId: "491",
        sequence: 3,
        enable: true,
      },
    ],
    lists: [
      {
        id: "884",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "491",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "921",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "491",
        sequence: 3,
        enable: true,
      },
    ],
  },
  {
    id: "510",
    name: "学期管理",
    url: "SemesterManage",
    type: "MENU",
    parentId: "356",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "533",
        name: "查询",
        url: "/api/admin/basic/semester/query",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true,
      },
      {
        id: "560",
        name: "启用/禁用",
        url: "/api/admin/basic/semester/enable",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true,
      },
      {
        id: "534",
        name: "新增/编辑",
        url: "/api/admin/basic/semester/save",
        type: "URL",
        parentId: "510",
        sequence: 2,
        enable: true,
      },
      {
        id: "535",
        name: "删除",
        url: "/api/admin/basic/semester/delete",
        type: "URL",
        parentId: "510",
        sequence: 3,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "511",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "559",
        name: "启用/禁用",
        url: "Enable",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true,
      },
      {
        id: "513",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "510",
        sequence: 2,
        enable: true,
      },
    ],
    lists: [
      {
        id: "514",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "510",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "3",
    name: "配置管理",
    url: "rule",
    type: "MENU",
    parentId: "1",
    sequence: 2,
    enable: true,
  },
  {
    id: "5",
    name: "用户管理",
    url: "UserManage",
    type: "MENU",
    parentId: "2",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "77",
        name: "查询",
        url: "/api/admin/sys/user/list",
        type: "URL",
        parentId: "5",
        sequence: 1,
        enable: true,
      },
      {
        id: "78",
        name: "新增/修改",
        url: "/api/admin/sys/user/save",
        type: "URL",
        parentId: "5",
        sequence: 2,
        enable: true,
      },
      {
        id: "79",
        name: "启用/禁用",
        url: "/api/admin/sys/user/enable",
        type: "URL",
        parentId: "5",
        sequence: 3,
        enable: true,
      },
      {
        id: "80",
        name: "重置密码",
        url: "/api/admin/sys/user/reset_password",
        type: "URL",
        parentId: "5",
        sequence: 4,
        enable: true,
      },
      {
        id: "81",
        name: "导入",
        url: "/api/admin/sys/user/import",
        type: "URL",
        parentId: "5",
        sequence: 5,
        enable: true,
      },
      {
        id: "87",
        name: "用户已绑定角色列表",
        url: "/api/admin/sys/role/get_user_roles",
        type: "URL",
        parentId: "5",
        sequence: 5,
        enable: true,
      },
      {
        id: "184",
        name: "查询用户可绑定角色",
        url: "/api/admin/sys/role/list_to_user",
        type: "URL",
        parentId: "5",
        sequence: 7,
        enable: true,
      },
      {
        id: "813",
        name: "导出",
        url: "/api/admin/sys/user/export",
        type: "URL",
        parentId: "5",
        sequence: 10,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "217",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "5",
        sequence: 1,
        enable: true,
      },
      {
        id: "218",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "5",
        sequence: 2,
        enable: true,
      },
      {
        id: "243",
        name: "导入",
        url: "Import",
        type: "BUTTON",
        parentId: "5",
        sequence: 3,
        enable: true,
      },
      {
        id: "812",
        name: "导出",
        url: "Export",
        type: "BUTTON",
        parentId: "5",
        sequence: 4,
        enable: true,
      },
    ],
    links: [
      {
        id: "219",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "5",
        sequence: 1,
        enable: true,
      },
      {
        id: "220",
        name: "启用/禁用",
        url: "Enable",
        type: "LINK",
        parentId: "5",
        sequence: 2,
        enable: true,
      },
      {
        id: "223",
        name: "重置密码",
        url: "Reset",
        type: "LINK",
        parentId: "5",
        sequence: 3,
        enable: true,
      },
    ],
    lists: [
      {
        id: "221",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "5",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "222",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "5",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "9",
    name: "题卡规则管理",
    url: "CardRuleManage",
    type: "MENU",
    parentId: "3",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "101",
        name: "查询",
        url: "/api/admin/basic/card_rule/list",
        type: "URL",
        parentId: "9",
        sequence: 1,
        enable: true,
      },
      {
        id: "102",
        name: "查询单个",
        url: "/api/admin/basic/card_rule/get_one",
        type: "URL",
        parentId: "9",
        sequence: 2,
        enable: true,
      },
      {
        id: "103",
        name: "新增/修改",
        url: "/api/admin/basic/card_rule/save",
        type: "URL",
        parentId: "9",
        sequence: 3,
        enable: true,
      },
      {
        id: "104",
        name: "删除",
        url: "/api/admin/basic/card_rule/delete",
        type: "URL",
        parentId: "9",
        sequence: 4,
        enable: true,
      },
      {
        id: "384",
        name: "启用/禁用",
        url: "/api/admin/basic/card_rule/enable",
        type: "URL",
        parentId: "9",
        sequence: 5,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "237",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "9",
        sequence: 1,
        enable: true,
      },
      {
        id: "238",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "9",
        sequence: 2,
        enable: true,
      },
    ],
    links: [
      {
        id: "342",
        name: "预览",
        url: "Preview",
        type: "LINK",
        parentId: "9",
        sequence: 1,
        enable: true,
      },
      {
        id: "343",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "9",
        sequence: 2,
        enable: true,
      },
      {
        id: "345",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "9",
        sequence: 3,
        enable: true,
      },
      {
        id: "383",
        name: "启用/禁用",
        url: "Enable",
        type: "LINK",
        parentId: "9",
        sequence: 4,
        enable: true,
      },
    ],
    lists: [
      {
        id: "240",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "9",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "239",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "9",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "521",
    name: "同步管理",
    url: "SyncManage",
    type: "MENU",
    parentId: "112",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "557",
        name: "查询",
        url: "/api/admin/data/sync/query",
        type: "URL",
        parentId: "521",
        sequence: 1,
        enable: true,
      },
      {
        id: "665",
        name: "重新同步",
        url: "/api/admin/data/sync/resync",
        type: "URL",
        parentId: "521",
        sequence: 1,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "523",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "521",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "526",
        name: "导出日志",
        url: "Export",
        type: "LINK",
        parentId: "521",
        sequence: 1,
        enable: true,
      },
      {
        id: "664",
        name: "重新同步",
        url: "Push",
        type: "LINK",
        parentId: "521",
        sequence: 1,
        enable: true,
      },
    ],
    lists: [
      {
        id: "525",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "521",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "524",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "521",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "40",
    name: "入库申请",
    url: "TaskApplyManage",
    type: "MENU",
    parentId: "652",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "70",
        name: "查询",
        url: "/api/admin/exam/task/apply_list",
        type: "URL",
        parentId: "40",
        sequence: 1,
        enable: true,
      },
      {
        id: "71",
        name: "提交/暂存",
        url: "/api/admin/exam/task/apply_save",
        type: "URL",
        parentId: "40",
        sequence: 2,
        enable: true,
      },
      {
        id: "72",
        name: "撤回/重新申请",
        url: "/api/admin/exam/task/apply_status",
        type: "URL",
        parentId: "40",
        sequence: 3,
        enable: true,
      },
      {
        id: "167",
        name: "查询可选择题卡",
        url: "/api/admin/exam/card/select_card_list",
        type: "URL",
        parentId: "40",
        sequence: 4,
        enable: true,
      },
      {
        id: "168",
        name: "查询申请详情",
        url: "/api/admin/exam/task/apply_get_one",
        type: "URL",
        parentId: "40",
        sequence: 5,
        enable: true,
      },
      {
        id: "568",
        name: "查询任务详情",
        url: "/api/admin/exam/task/exam_task_get_one",
        type: "URL",
        parentId: "40",
        sequence: 6,
        enable: true,
      },
      {
        id: "464",
        name: "新建命题申请",
        url: "/api/admin/exam/task/submit_task_apply",
        type: "URL",
        parentId: "40",
        sequence: 8,
        enable: true,
      },
      {
        id: "759",
        name: "考生对象查询",
        url: "/api/admin/exam/task/find_exam_task_student_object",
        type: "URL",
        parentId: "40",
        sequence: 9,
        enable: true,
      },
      {
        id: "761",
        name: "导入考生对象",
        url: "/api/admin/exam/task/exam_task_exam_student_import",
        type: "URL",
        parentId: "40",
        sequence: 10,
        enable: true,
      },
      {
        id: "807",
        name: "删除",
        url: "/api/admin/exam/task/apply_delete",
        type: "URL",
        parentId: "40",
        sequence: 11,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "280",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "40",
        sequence: 1,
        enable: true,
      },
      {
        id: "463",
        name: "新建任务",
        url: "ExamTaskApplyManage",
        type: "BUTTON",
        parentId: "40",
        sequence: 8,
        enable: true,
      },
      {
        id: "760",
        name: "增加考试对象",
        url: "ExamTaskStudentObject",
        type: "BUTTON",
        parentId: "40",
        sequence: 9,
        enable: true,
      },
      {
        id: "875",
        name: "我教课程选择",
        url: "MyTeachCourse",
        type: "BUTTON",
        parentId: "40",
        sequence: 10,
        enable: true,
      },
      {
        id: "762",
        name: "批量导入考生",
        url: "ExamTaskStudentObjectImport",
        type: "BUTTON",
        parentId: "40",
        sequence: 10,
        enable: true,
      },
      {
        id: "876",
        name: "学生库选择",
        url: "StudentLibrary",
        type: "BUTTON",
        parentId: "40",
        sequence: 11,
        enable: true,
      },
      {
        id: "877",
        name: "选择学生（学生库选择）",
        url: "SelectStudent",
        type: "BUTTON",
        parentId: "40",
        sequence: 12,
        enable: true,
      },
    ],
    links: [
      {
        id: "281",
        name: "预览",
        url: "Preview",
        type: "LINK",
        parentId: "40",
        sequence: 1,
        enable: true,
      },
      {
        id: "282",
        name: "撤销申请",
        url: "End",
        type: "LINK",
        parentId: "40",
        sequence: 2,
        enable: true,
      },
      {
        id: "283",
        name: "立即申请",
        url: "Edit",
        type: "LINK",
        parentId: "40",
        sequence: 3,
        enable: true,
      },
      {
        id: "468",
        name: "下载审批表",
        url: "Download",
        type: "LINK",
        parentId: "40",
        sequence: 5,
        enable: true,
      },
      {
        id: "806",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "40",
        sequence: 6,
        enable: true,
      },
    ],
    lists: [
      {
        id: "285",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "40",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "284",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "40",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "44",
    name: "考务数据导入",
    url: "BusinessDataExport",
    type: "MENU",
    parentId: "38",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "52",
        name: "查询",
        url: "/api/admin/exam/print/data_list",
        type: "URL",
        parentId: "44",
        sequence: 1,
        enable: true,
      },
      {
        id: "53",
        name: "汇总数据查询",
        url: "/api/admin/exam/print/data_total",
        type: "URL",
        parentId: "44",
        sequence: 2,
        enable: true,
      },
      {
        id: "54",
        name: "导入",
        url: "/api/admin/exam/print/data_import",
        type: "URL",
        parentId: "44",
        sequence: 3,
        enable: true,
      },
      {
        id: "55",
        name: "查看明细",
        url: "/api/admin/exam/print/data_detail_list",
        type: "URL",
        parentId: "44",
        sequence: 4,
        enable: true,
      },
      {
        id: "157",
        name: "模板下载",
        url: "/api/admin/exam/print/template_download",
        type: "URL",
        parentId: "44",
        sequence: 5,
        enable: true,
      },
      {
        id: "158",
        name: "结果导出",
        url: "/api/admin/exam/print/data_export",
        type: "URL",
        parentId: "44",
        sequence: 6,
        enable: true,
      },
      {
        id: "809",
        name: "删除",
        url: "/api/admin/exam/print/data_delete",
        type: "URL",
        parentId: "44",
        sequence: 7,
        enable: true,
      },
      {
        id: "327",
        name: "新增考生",
        url: "/api/admin/exam/print/add_exam_student",
        type: "URL",
        parentId: "44",
        sequence: 8,
        enable: true,
      },
      {
        id: "328",
        name: "查询考场下试卷列表",
        url: "/api/admin/exam/print/list_exam_detail_course",
        type: "URL",
        parentId: "44",
        sequence: 9,
        enable: true,
      },
      {
        id: "329",
        name: "删除考生",
        url: "/api/admin/exam/print/delete_exam_student",
        type: "URL",
        parentId: "44",
        sequence: 10,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "316",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "44",
        sequence: 1,
        enable: true,
      },
      {
        id: "317",
        name: "模版下载",
        url: "TempleteDownload",
        type: "BUTTON",
        parentId: "44",
        sequence: 2,
        enable: true,
      },
      {
        id: "318",
        name: "导出",
        url: "Export",
        type: "BUTTON",
        parentId: "44",
        sequence: 3,
        enable: true,
      },
      {
        id: "319",
        name: "导入",
        url: "Import",
        type: "BUTTON",
        parentId: "44",
        sequence: 4,
        enable: true,
      },
    ],
    links: [
      {
        id: "320",
        name: "查看详情",
        url: "Preview",
        type: "LINK",
        parentId: "44",
        sequence: 1,
        enable: true,
      },
      {
        id: "808",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "44",
        sequence: 2,
        enable: true,
      },
    ],
    lists: [
      {
        id: "322",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "44",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "321",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "44",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "609",
    name: "考试管理",
    url: "ExamManage",
    type: "MENU",
    parentId: "356",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "616",
        name: "查询",
        url: "/api/admin/basic/exam/page",
        type: "URL",
        parentId: "609",
        sequence: 1,
        enable: true,
      },
      {
        id: "617",
        name: "新增/修改",
        url: "/api/admin/basic/exam/save",
        type: "URL",
        parentId: "609",
        sequence: 2,
        enable: true,
      },
      {
        id: "618",
        name: "启用/禁用",
        url: "/api/admin/basic/exam/enable",
        type: "URL",
        parentId: "609",
        sequence: 3,
        enable: true,
      },
      {
        id: "619",
        name: "删除",
        url: "/api/admin/basic/exam/delete",
        type: "URL",
        parentId: "609",
        sequence: 4,
        enable: true,
      },
      {
        id: "620",
        name: "设置",
        url: "/api/admin/basic/exam/set_in_userd",
        type: "URL",
        parentId: "609",
        sequence: 5,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "610",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "609",
        sequence: 1,
        enable: true,
      },
      {
        id: "611",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "609",
        sequence: 3,
        enable: true,
      },
    ],
    links: [
      {
        id: "612",
        name: "启用/禁用",
        url: "Enable",
        type: "LINK",
        parentId: "609",
        sequence: 4,
        enable: true,
      },
      {
        id: "613",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "609",
        sequence: 5,
        enable: true,
      },
      {
        id: "614",
        name: "设置",
        url: "Set",
        type: "LINK",
        parentId: "609",
        sequence: 6,
        enable: true,
      },
      {
        id: "628",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "609",
        sequence: 7,
        enable: true,
      },
    ],
    lists: [
      {
        id: "632",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "609",
        sequence: 7,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "615",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "609",
        sequence: 2,
        enable: true,
      },
    ],
  },
  {
    id: "897",
    name: "评卷设置",
    url: "MarkSetting",
    type: "MENU",
    parentId: "486",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "900",
        name: "查询",
        url: "/api/admin/mark/setting/list",
        type: "URL",
        parentId: "897",
        sequence: 1,
        enable: true,
      },
      {
        id: "902",
        name: "结构查询",
        url: "/api/admin/mark/question/list",
        type: "URL",
        parentId: "897",
        sequence: 1,
        enable: true,
      },
      {
        id: "903",
        name: "结构提交",
        url: "/api/admin/mark/question/save",
        type: "URL",
        parentId: "897",
        sequence: 2,
        enable: true,
      },
      {
        id: "904",
        name: "评卷任务查询",
        url: "/api/admin/mark/group/list",
        type: "URL",
        parentId: "897",
        sequence: 3,
        enable: true,
      },
      {
        id: "905",
        name: "评卷任务新增",
        url: "/api/admin/mark/group/save",
        type: "URL",
        parentId: "897",
        sequence: 4,
        enable: true,
      },
      {
        id: "906",
        name: "评卷任务修改",
        url: "/api/admin/mark/group/update",
        type: "URL",
        parentId: "897",
        sequence: 5,
        enable: true,
      },
      {
        id: "907",
        name: "评卷任务删除",
        url: "/api/admin/mark/group/delete",
        type: "URL",
        parentId: "897",
        sequence: 6,
        enable: true,
      },
      {
        id: "908",
        name: "分班阅查询",
        url: "/api/admin/mark/class/list",
        type: "URL",
        parentId: "897",
        sequence: 7,
        enable: true,
      },
      {
        id: "909",
        name: "分班阅提交",
        url: "/api/admin/mark/class/save",
        type: "URL",
        parentId: "897",
        sequence: 8,
        enable: true,
      },
      {
        id: "910",
        name: "客观题标答查询",
        url: "/api/admin/mark/question/objective/list",
        type: "URL",
        parentId: "897",
        sequence: 9,
        enable: true,
      },
      {
        id: "911",
        name: "客观题标答提交",
        url: "/api/admin/mark/question/objective/save",
        type: "URL",
        parentId: "897",
        sequence: 10,
        enable: true,
      },
      {
        id: "912",
        name: "主观题标答查询",
        url: "/api/admin/mark/question/subjective/get",
        type: "URL",
        parentId: "897",
        sequence: 11,
        enable: true,
      },
      {
        id: "913",
        name: "主观题标答提交",
        url: "/api/admin/mark/question/subjective/upload",
        type: "URL",
        parentId: "897",
        sequence: 12,
        enable: true,
      },
      {
        id: "915",
        name: "数据获取",
        url: "/api/admin/mark/setting/paper/get",
        type: "URL",
        parentId: "897",
        sequence: 13,
        enable: true,
      },
      {
        id: "962",
        name: "评卷区设置",
        url: "/api/admin/mark/group/update_picture_config",
        type: "URL",
        parentId: "897",
        sequence: 13,
        enable: true,
      },
      {
        id: "916",
        name: "数据保存",
        url: "/api/admin/mark/setting/paper/save",
        type: "URL",
        parentId: "897",
        sequence: 14,
        enable: true,
      },
      {
        id: "963",
        name: "开启/关闭分班阅",
        url: "/api/admin/mark/group/update_open_mark_class",
        type: "URL",
        parentId: "897",
        sequence: 14,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "899",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "897",
        sequence: 2,
        enable: true,
      },
      {
        id: "495",
        name: "分班阅（开关）",
        url: "OpenClassReading",
        type: "BUTTON",
        parentId: "897",
        sequence: 3,
        enable: true,
      },
    ],
    links: [
      {
        id: "901",
        name: "评卷参数设置",
        url: "MarkParamSetting",
        type: "LINK",
        parentId: "897",
        sequence: 3,
        enable: true,
      },
      {
        id: "914",
        name: "评卷设置",
        url: "MarkConfig",
        type: "LINK",
        parentId: "897",
        sequence: 4,
        enable: true,
      },
    ],
    lists: [
      {
        id: "898",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "897",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "922",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "897",
        sequence: 3,
        enable: true,
      },
    ],
  },
  {
    id: "650",
    name: "课程管理",
    url: "baseInfo",
    type: "MENU",
    parentId: "-1",
    sequence: 2,
    enable: true,
  },
  {
    id: "403",
    name: "流程审批记录管理",
    url: "ApproveRecordManage",
    type: "MENU",
    parentId: "390",
    sequence: 2,
    enable: true,
    buttons: [
      {
        id: "404",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "403",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "567",
        name: "查看",
        url: "Preview",
        type: "LINK",
        parentId: "403",
        sequence: 1,
        enable: true,
      },
      {
        id: "422",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "403",
        sequence: 1,
        enable: true,
      },
    ],
    lists: [
      {
        id: "406",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "403",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "405",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "403",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "681",
    name: "分析批次管理",
    url: "AnalysisBatchManage",
    type: "MENU",
    parentId: "680",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "682",
        name: "查询",
        url: "/api/admin/grade/batch/page",
        type: "URL",
        parentId: "681",
        sequence: 1,
        enable: true,
      },
      {
        id: "683",
        name: "新建",
        url: "/api/admin/grade/batch/save",
        type: "URL",
        parentId: "681",
        sequence: 2,
        enable: true,
      },
      {
        id: "684",
        name: "删除",
        url: "/api/admin/grade/batch/delete",
        type: "URL",
        parentId: "681",
        sequence: 3,
        enable: true,
      },
      {
        id: "685",
        name: "推送",
        url: "/api/admin/grade/batch/push",
        type: "URL",
        parentId: "681",
        sequence: 4,
        enable: true,
      },
      {
        id: "752",
        name: "课程发布",
        url: "/api/admin/grade/batch/paper/publish",
        type: "URL",
        parentId: "681",
        sequence: 7,
        enable: true,
      },
      {
        id: "743",
        name: "考务数据导出",
        url: "/api/admin/grade/batch/download",
        type: "URL",
        parentId: "681",
        sequence: 10,
        enable: true,
      },
      {
        id: "744",
        name: "考务数据导入",
        url: "/api/admin/grade/batch/upload",
        type: "URL",
        parentId: "681",
        sequence: 11,
        enable: true,
      },
      {
        id: "748",
        name: "开始计算",
        url: "/api/admin/grade/batch/start_calc",
        type: "URL",
        parentId: "681",
        sequence: 13,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "686",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "681",
        sequence: 1,
        enable: true,
      },
      {
        id: "688",
        name: "新建",
        url: "Add",
        type: "BUTTON",
        parentId: "681",
        sequence: 3,
        enable: true,
      },
      {
        id: "689",
        name: "批量删除",
        url: "Delete",
        type: "BUTTON",
        parentId: "681",
        sequence: 4,
        enable: true,
      },
    ],
    links: [
      {
        id: "690",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "681",
        sequence: 5,
        enable: true,
      },
      {
        id: "691",
        name: "推送",
        url: "Push",
        type: "LINK",
        parentId: "681",
        sequence: 6,
        enable: true,
      },
      {
        id: "751",
        name: "课程发布",
        url: "Publish",
        type: "LINK",
        parentId: "681",
        sequence: 6,
        enable: true,
      },
      {
        id: "692",
        name: "添加分析课程",
        url: "Window",
        type: "LINK",
        parentId: "681",
        sequence: 7,
        enable: true,
      },
      {
        id: "741",
        name: "考务数据导出",
        url: "Export",
        type: "LINK",
        parentId: "681",
        sequence: 8,
        enable: true,
      },
      {
        id: "742",
        name: "考务数据导入",
        url: "Import",
        type: "LINK",
        parentId: "681",
        sequence: 9,
        enable: true,
      },
      {
        id: "747",
        name: "开始计算",
        url: "StartCalc",
        type: "LINK",
        parentId: "681",
        sequence: 12,
        enable: true,
      },
    ],
    lists: [
      {
        id: "687",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "681",
        sequence: 2,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "750",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "681",
        sequence: 14,
        enable: true,
      },
    ],
  },
  {
    id: "487",
    name: "成绩查询",
    url: "ScoreManage",
    type: "MENU",
    parentId: "561",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "542",
        name: "查询接口",
        url: "/api/admin/mark/archive/score/list",
        type: "URL",
        parentId: "487",
        sequence: 1,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "500",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "487",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "488",
        name: "班级详情",
        url: "ClassScoreDetail",
        type: "LINK",
        parentId: "487",
        sequence: 1,
        enable: true,
      },
      {
        id: "489",
        name: "成绩报告",
        url: "ScoreReport",
        type: "LINK",
        parentId: "487",
        sequence: 2,
        enable: true,
      },
    ],
    lists: [
      {
        id: "498",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "487",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "499",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "487",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "6",
    name: "角色管理",
    url: "RoleManage",
    type: "MENU",
    parentId: "2",
    sequence: 3,
    enable: true,
    urls: [
      {
        id: "83",
        name: "查询",
        url: "/api/admin/sys/role/list",
        type: "URL",
        parentId: "6",
        sequence: 1,
        enable: true,
      },
      {
        id: "84",
        name: "删除",
        url: "/api/admin/sys/role/remove",
        type: "URL",
        parentId: "6",
        sequence: 2,
        enable: true,
      },
      {
        id: "85",
        name: "新增/修改",
        url: "/api/admin/sys/role/save",
        type: "URL",
        parentId: "6",
        sequence: 3,
        enable: true,
      },
      {
        id: "91",
        name: "角色已绑定权限列表",
        url: "/api/admin/sys/privilege/get_role_privileges",
        type: "URL",
        parentId: "6",
        sequence: 4,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "229",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "6",
        sequence: 1,
        enable: true,
      },
      {
        id: "230",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "6",
        sequence: 2,
        enable: true,
      },
    ],
    links: [
      {
        id: "231",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "6",
        sequence: 1,
        enable: true,
      },
      {
        id: "232",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "6",
        sequence: 2,
        enable: true,
      },
      {
        id: "647",
        name: "成员管理",
        url: "Manager",
        type: "LINK",
        parentId: "6",
        sequence: 3,
        enable: true,
      },
    ],
    lists: [
      {
        id: "233",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "6",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "235",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "6",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "549",
    name: "短信日志",
    url: "SmsManage",
    type: "MENU",
    parentId: "112",
    sequence: 3,
    enable: true,
    buttons: [
      {
        id: "550",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "549",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "556",
        name: "短信失败重发",
        url: "Send",
        type: "LINK",
        parentId: "549",
        sequence: 1,
        enable: true,
      },
    ],
    lists: [
      {
        id: "555",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "549",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "554",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "549",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "41",
    name: "入库审核",
    url: "TaskReviewManage",
    type: "MENU",
    parentId: "652",
    sequence: 3,
    enable: true,
    urls: [
      {
        id: "73",
        name: "查询未审核",
        url: "/api/admin/exam/task/review_list_unaudited",
        type: "URL",
        parentId: "41",
        sequence: 1,
        enable: true,
      },
      {
        id: "74",
        name: "审核",
        url: "/api/admin/exam/task/review_save",
        type: "URL",
        parentId: "41",
        sequence: 2,
        enable: true,
      },
      {
        id: "163",
        name: "导出审核样本",
        url: "/api/admin/exam/task/review_export",
        type: "URL",
        parentId: "41",
        sequence: 4,
        enable: true,
      },
      {
        id: "166",
        name: "查询已审核",
        url: "/api/admin/exam/task/review_list_audited",
        type: "URL",
        parentId: "41",
        sequence: 5,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "288",
        name: "查询（未审核）",
        url: "NotReviewSelect",
        type: "BUTTON",
        parentId: "41",
        sequence: 1,
        enable: true,
      },
      {
        id: "295",
        name: "查询（已审核）",
        url: "ReviewSelect",
        type: "BUTTON",
        parentId: "41",
        sequence: 1,
        enable: true,
      },
      {
        id: "289",
        name: "导出审核样本（未审核）",
        url: "NotReviewExport",
        type: "BUTTON",
        parentId: "41",
        sequence: 2,
        enable: true,
      },
    ],
    links: [
      {
        id: "292",
        name: "审核（未审核）",
        url: "NotReviewEdit",
        type: "LINK",
        parentId: "41",
        sequence: 1,
        enable: true,
      },
      {
        id: "296",
        name: "查看详情（已审核）",
        url: "ReviewPreview",
        type: "LINK",
        parentId: "41",
        sequence: 1,
        enable: true,
      },
    ],
    lists: [
      {
        id: "294",
        name: "列表（未审核）",
        url: "NotReviewList",
        type: "LIST",
        parentId: "41",
        sequence: 1,
        enable: true,
      },
      {
        id: "298",
        name: "列表（已审核）",
        url: "ReviewList",
        type: "LIST",
        parentId: "41",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "293",
        name: "查询条件（未审核）",
        url: "NotReviewCondition",
        type: "CONDITION",
        parentId: "41",
        sequence: 1,
        enable: true,
      },
      {
        id: "297",
        name: "查询条件（已审核）",
        url: "ReviewCondition",
        type: "CONDITION",
        parentId: "41",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "45",
    name: "考务明细查询",
    url: "BusinessDataDetail",
    type: "MENU",
    parentId: "38",
    sequence: 3,
    enable: true,
    urls: [
      {
        id: "159",
        name: "查询",
        url: "/api/admin/exam/print/data_detail",
        type: "URL",
        parentId: "45",
        sequence: 1,
        enable: true,
      },
      {
        id: "188",
        name: "学生明细",
        url: "/api/admin/exam/print/get_student_detail",
        type: "URL",
        parentId: "45",
        sequence: 2,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "323",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "45",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "324",
        name: "预览",
        url: "Preview",
        type: "LINK",
        parentId: "45",
        sequence: 1,
        enable: true,
      },
    ],
    lists: [
      {
        id: "326",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "45",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "325",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "45",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "624",
    name: "题卡管理",
    url: "CardManage",
    type: "MENU",
    parentId: "3",
    sequence: 3,
    enable: true,
    urls: [
      {
        id: "627",
        name: "查询",
        url: "/api/admin/exam/card/page",
        type: "URL",
        parentId: "624",
        sequence: 1,
        enable: true,
      },
      {
        id: "636",
        name: "删除",
        url: "/api/admin/exam/card/delete_generic",
        type: "URL",
        parentId: "624",
        sequence: 2,
        enable: true,
      },
      {
        id: "631",
        name: "新增/修改",
        url: "/api/admin/exam/card/save_generic",
        type: "URL",
        parentId: "624",
        sequence: 5,
        enable: true,
      },
      {
        id: "829",
        name: "生成图片",
        url: "/api/admin/exam/card/convert_image",
        type: "URL",
        parentId: "624",
        sequence: 6,
        enable: true,
      },
      {
        id: "868",
        name: "下载",
        url: "/api/admin/exam/card/download_card",
        type: "URL",
        parentId: "624",
        sequence: 6,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "625",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "624",
        sequence: 1,
        enable: true,
      },
      {
        id: "629",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "624",
        sequence: 3,
        enable: true,
      },
    ],
    links: [
      {
        id: "630",
        name: "编辑题卡/编辑信息",
        url: "Edit",
        type: "LINK",
        parentId: "624",
        sequence: 4,
        enable: true,
      },
      {
        id: "635",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "624",
        sequence: 6,
        enable: true,
      },
      {
        id: "828",
        name: "生成图片/预览图片",
        url: "ConvertImage",
        type: "LINK",
        parentId: "624",
        sequence: 7,
        enable: true,
      },
      {
        id: "856",
        name: "查看",
        url: "Preview",
        type: "LINK",
        parentId: "624",
        sequence: 8,
        enable: true,
      },
      {
        id: "867",
        name: "下载",
        url: "Download",
        type: "LINK",
        parentId: "624",
        sequence: 9,
        enable: true,
      },
    ],
    lists: [
      {
        id: "633",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "624",
        sequence: 5,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "626",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "624",
        sequence: 2,
        enable: true,
      },
    ],
  },
  {
    id: "390",
    name: "流程管理",
    url: "flow",
    type: "MENU",
    parentId: "1",
    sequence: 3,
    enable: true,
  },
  {
    id: "917",
    name: "评卷管理",
    url: "MarkManage",
    type: "MENU",
    parentId: "486",
    sequence: 3,
    enable: true,
    urls: [
      {
        id: "925",
        name: "列表获取",
        url: "/api/admin/mark/setting/summary",
        type: "URL",
        parentId: "917",
        sequence: 1,
        enable: true,
      },
      {
        id: "926",
        name: "导出评卷员工作量",
        url: "/api/admin/mark/setting/export_marker",
        type: "URL",
        parentId: "917",
        sequence: 2,
        enable: true,
      },
      {
        id: "927",
        name: "结束评卷",
        url: "/api/admin/mark/paper/finish",
        type: "URL",
        parentId: "917",
        sequence: 3,
        enable: true,
      },
      {
        id: "928",
        name: "进度列表查询",
        url: "/api/admin/mark/group/summary",
        type: "URL",
        parentId: "917",
        sequence: 4,
        enable: true,
      },
      {
        id: "929",
        name: "评卷员管理列表查询",
        url: "/api/admin/mark/marker/list",
        type: "URL",
        parentId: "917",
        sequence: 5,
        enable: true,
      },
      {
        id: "930",
        name: "重置",
        url: "/api/admin/mark/marker/reset",
        type: "URL",
        parentId: "917",
        sequence: 6,
        enable: true,
      },
      {
        id: "931",
        name: "解绑",
        url: "/api/admin/mark/marker/delete",
        type: "URL",
        parentId: "917",
        sequence: 7,
        enable: true,
      },
      {
        id: "932",
        name: "回收",
        url: "/api/admin/mark/marker/release",
        type: "URL",
        parentId: "917",
        sequence: 8,
        enable: true,
      },
      {
        id: "933",
        name: "设置评卷数",
        url: "/api/admin/mark/marker/setTaskCount",
        type: "URL",
        parentId: "917",
        sequence: 9,
        enable: true,
      },
      {
        id: "934",
        name: "评卷质量查询",
        url: "/api/admin/mark/quality/list",
        type: "URL",
        parentId: "917",
        sequence: 10,
        enable: true,
      },
      {
        id: "935",
        name: "问题试卷列表查询",
        url: "/api/admin/mark/problem/list",
        type: "URL",
        parentId: "917",
        sequence: 11,
        enable: true,
      },
      {
        id: "936",
        name: "问题试卷重置",
        url: "/api/admin/mark/problem/reset",
        type: "URL",
        parentId: "917",
        sequence: 12,
        enable: true,
      },
      {
        id: "937",
        name: "仲裁管理列表查询",
        url: "/api/admin/mark/arbitrate/list",
        type: "URL",
        parentId: "917",
        sequence: 13,
        enable: true,
      },
      {
        id: "938",
        name: "仲裁-获取任务",
        url: "/api/admin/mark/arbitrate/getTask",
        type: "URL",
        parentId: "917",
        sequence: 14,
        enable: true,
      },
      {
        id: "939",
        name: "仲裁-左边的列表",
        url: "/api/admin/mark/arbitrate/getArbitrationList",
        type: "URL",
        parentId: "917",
        sequence: 15,
        enable: true,
      },
      {
        id: "940",
        name: "仲裁-清理锁卷缓存",
        url: "/api/admin/mark/arbitrate/clear",
        type: "URL",
        parentId: "917",
        sequence: 16,
        enable: true,
      },
      {
        id: "941",
        name: "仲裁-获取评卷状态",
        url: "/api/admin/mark/arbitrate/getStatus",
        type: "URL",
        parentId: "917",
        sequence: 17,
        enable: true,
      },
      {
        id: "942",
        name: "仲裁-获取配置信息",
        url: "/api/admin/mark/arbitrate/getSetting",
        type: "URL",
        parentId: "917",
        sequence: 18,
        enable: true,
      },
      {
        id: "943",
        name: "仲裁-保存任务",
        url: "/api/admin/mark/arbitrate/saveTask",
        type: "URL",
        parentId: "917",
        sequence: 19,
        enable: true,
      },
      {
        id: "964",
        name: "班级阅卷进度",
        url: "/api/admin/mark/group/class/summary",
        type: "URL",
        parentId: "917",
        sequence: 20,
        enable: true,
      },
      {
        id: "968",
        name: "绑定评卷员-已绑定评卷员集合",
        url: "/api/admin/mark/marker/list_bind_marker",
        type: "URL",
        parentId: "917",
        sequence: 20,
        enable: true,
      },
      {
        id: "1008",
        name: "仲裁-评卷历史",
        url: "/api/admin/mark/arbitrate/getHistory",
        type: "URL",
        parentId: "917",
        sequence: 20,
        enable: true,
      },
      {
        id: "965",
        name: "绑定评卷员",
        url: "/api/admin/mark/marker/add",
        type: "URL",
        parentId: "917",
        sequence: 21,
        enable: true,
      },
      {
        id: "966",
        name: "评卷质量重新计算",
        url: "/api/admin/mark/quality/update",
        type: "URL",
        parentId: "917",
        sequence: 22,
        enable: true,
      },
      {
        id: "967",
        name: "评卷质量给分曲线",
        url: "/api/admin/mark/quality/chart",
        type: "URL",
        parentId: "917",
        sequence: 23,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "919",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "917",
        sequence: 2,
        enable: true,
      },
      {
        id: "923",
        name: "导出评卷工作量",
        url: "Export",
        type: "BUTTON",
        parentId: "917",
        sequence: 4,
        enable: true,
      },
      {
        id: "924",
        name: "结束评卷",
        url: "BatchFinish",
        type: "BUTTON",
        parentId: "917",
        sequence: 5,
        enable: true,
      },
    ],
    links: [
      {
        id: "944",
        name: "查看详情",
        url: "Detail",
        type: "LINK",
        parentId: "917",
        sequence: 6,
        enable: true,
      },
      {
        id: "945",
        name: "结束评卷",
        url: "Finish",
        type: "LINK",
        parentId: "917",
        sequence: 7,
        enable: true,
      },
    ],
    lists: [
      {
        id: "918",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "917",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "920",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "917",
        sequence: 3,
        enable: true,
      },
    ],
  },
  {
    id: "739",
    name: "查看报告",
    url: "AnalysisReportView",
    type: "MENU",
    parentId: "680",
    sequence: 3,
    enable: true,
  },
  {
    id: "515",
    name: "专业管理",
    url: "MajorManage",
    type: "MENU",
    parentId: "356",
    sequence: 4,
    enable: true,
    urls: [
      {
        id: "536",
        name: "查询",
        url: "/api/admin/basic/major/query",
        type: "URL",
        parentId: "515",
        sequence: 1,
        enable: true,
      },
      {
        id: "537",
        name: "新增/编辑",
        url: "/api/admin/basic/major/save",
        type: "URL",
        parentId: "515",
        sequence: 2,
        enable: true,
      },
      {
        id: "538",
        name: "删除",
        url: "/api/admin/basic/major/delete",
        type: "URL",
        parentId: "515",
        sequence: 3,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "516",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "515",
        sequence: 1,
        enable: true,
      },
      {
        id: "522",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "515",
        sequence: 1,
        enable: true,
      },
      {
        id: "572",
        name: "批量删除",
        url: "Delete",
        type: "BUTTON",
        parentId: "515",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "517",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "515",
        sequence: 1,
        enable: true,
      },
      {
        id: "518",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "515",
        sequence: 2,
        enable: true,
      },
    ],
    lists: [
      {
        id: "519",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "515",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "520",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "515",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "11",
    name: "印品管理",
    url: "PrintTemplateManage",
    type: "MENU",
    parentId: "3",
    sequence: 4,
    enable: true,
    urls: [
      {
        id: "123",
        name: "查询",
        url: "/api/admin/basic/template/list",
        type: "URL",
        parentId: "11",
        sequence: 1,
        enable: true,
      },
      {
        id: "124",
        name: "新增/修改",
        url: "/api/admin/basic/template/save",
        type: "URL",
        parentId: "11",
        sequence: 2,
        enable: true,
      },
      {
        id: "125",
        name: "启用/禁用",
        url: "/api/admin/basic/template/enable",
        type: "URL",
        parentId: "11",
        sequence: 3,
        enable: true,
      },
      {
        id: "763",
        name: "查询详情",
        url: "/api/admin/basic/template/get_one",
        type: "URL",
        parentId: "11",
        sequence: 5,
        enable: true,
      },
      {
        id: "789",
        name: "删除",
        url: "/api/admin/basic/template/remove",
        type: "URL",
        parentId: "11",
        sequence: 6,
        enable: true,
      },
      {
        id: "192",
        name: "预览",
        url: "/api/admin/basic/template/read_content",
        type: "URL",
        parentId: "11",
        sequence: 6,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "249",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "11",
        sequence: 1,
        enable: true,
      },
      {
        id: "250",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "11",
        sequence: 2,
        enable: true,
      },
    ],
    links: [
      {
        id: "251",
        name: "预览",
        url: "Preview",
        type: "LINK",
        parentId: "11",
        sequence: 1,
        enable: true,
      },
      {
        id: "252",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "11",
        sequence: 2,
        enable: true,
      },
      {
        id: "253",
        name: "启用/禁用",
        url: "Enable",
        type: "LINK",
        parentId: "11",
        sequence: 3,
        enable: true,
      },
      {
        id: "788",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "11",
        sequence: 4,
        enable: true,
      },
    ],
    lists: [
      {
        id: "255",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "11",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "254",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "11",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "11001",
    name: "课程目标模板管理",
    url: "CourseTargetTemplateManage",
    type: "MENU",
    parentId: "3",
    sequence: 5,
    enable: true,
    urls: [
      {
        id: "123",
        name: "查询",
        url: "/api/admin/basic/template/list",
        type: "URL",
        parentId: "11",
        sequence: 1,
        enable: true,
      },
      {
        id: "124",
        name: "新增/修改",
        url: "/api/admin/basic/template/save",
        type: "URL",
        parentId: "11",
        sequence: 2,
        enable: true,
      },
      {
        id: "125",
        name: "启用/禁用",
        url: "/api/admin/basic/template/enable",
        type: "URL",
        parentId: "11",
        sequence: 3,
        enable: true,
      },
      {
        id: "763",
        name: "查询详情",
        url: "/api/admin/basic/template/get_one",
        type: "URL",
        parentId: "11",
        sequence: 5,
        enable: true,
      },
      {
        id: "789",
        name: "删除",
        url: "/api/admin/basic/template/remove",
        type: "URL",
        parentId: "11",
        sequence: 6,
        enable: true,
      },
      {
        id: "192",
        name: "预览",
        url: "/api/admin/basic/template/read_content",
        type: "URL",
        parentId: "11",
        sequence: 6,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "249",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "11",
        sequence: 1,
        enable: true,
      },
      {
        id: "250",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "11",
        sequence: 2,
        enable: true,
      },
    ],
    links: [
      {
        id: "251",
        name: "预览",
        url: "Preview",
        type: "LINK",
        parentId: "11",
        sequence: 1,
        enable: true,
      },
      {
        id: "252",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "11",
        sequence: 2,
        enable: true,
      },
      {
        id: "253",
        name: "启用/禁用",
        url: "Enable",
        type: "LINK",
        parentId: "11",
        sequence: 3,
        enable: true,
      },
      {
        id: "788",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "11",
        sequence: 4,
        enable: true,
      },
    ],
    lists: [
      {
        id: "255",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "11",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "254",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "11",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "42",
    name: "卷库查询",
    url: "TaskPaperManage",
    type: "MENU",
    parentId: "652",
    sequence: 4,
    enable: true,
    urls: [
      {
        id: "76",
        name: "查询",
        url: "/api/admin/exam/task/paper_list",
        type: "URL",
        parentId: "42",
        sequence: 1,
        enable: true,
      },
      {
        id: "164",
        name: "下载试卷",
        url: "/api/admin/exam/task/paper_download",
        type: "URL",
        parentId: "42",
        sequence: 2,
        enable: true,
      },
      {
        id: "165",
        name: "试卷启用/禁用",
        url: "/api/admin/exam/task/paper_enable",
        type: "URL",
        parentId: "42",
        sequence: 3,
        enable: true,
      },
      {
        id: "427",
        name: "发布印刷任务-印刷室列表",
        url: "/api/admin/exam/task/list_task_print_house",
        type: "URL",
        parentId: "42",
        sequence: 3,
        enable: true,
      },
      {
        id: "191",
        name: "批量下载试卷PDF、题卡",
        url: "/api/admin/exam/task/paper_card_download_pdf",
        type: "URL",
        parentId: "42",
        sequence: 5,
        enable: true,
      },
      {
        id: "880",
        name: "重启流程",
        url: "/api/admin/exam/task/restart",
        type: "URL",
        parentId: "42",
        sequence: 9,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "299",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "42",
        sequence: 1,
        enable: true,
      },
      {
        id: "300",
        name: "批量下载试卷题卡",
        url: "BatchDownload",
        type: "BUTTON",
        parentId: "42",
        sequence: 2,
        enable: true,
      },
    ],
    links: [
      {
        id: "301",
        name: "预览",
        url: "Preview",
        type: "LINK",
        parentId: "42",
        sequence: 1,
        enable: true,
      },
      {
        id: "302",
        name: "启用/禁用",
        url: "Enable",
        type: "LINK",
        parentId: "42",
        sequence: 2,
        enable: true,
      },
      {
        id: "303",
        name: "下载",
        url: "Download",
        type: "LINK",
        parentId: "42",
        sequence: 3,
        enable: true,
      },
      {
        id: "881",
        name: "打回",
        url: "Restart",
        type: "LINK",
        parentId: "42",
        sequence: 6,
        enable: true,
      },
    ],
    lists: [
      {
        id: "305",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "42",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "304",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "42",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "356",
    name: "字典管理",
    url: "dictionary",
    type: "MENU",
    parentId: "1",
    sequence: 4,
    enable: true,
  },
  {
    id: "651",
    name: "电子交卷",
    url: "electronic",
    type: "MENU",
    parentId: "-1",
    sequence: 4,
    enable: true,
  },
  {
    id: "653",
    name: "下载管理",
    url: "DownloadManage",
    type: "MENU",
    parentId: "112",
    sequence: 4,
    enable: true,
    urls: [
      {
        id: "659",
        name: "查询",
        url: "/api/admin/data/download/page",
        type: "URL",
        parentId: "653",
        sequence: 1,
        enable: true,
      },
      {
        id: "660",
        name: "下载文件",
        url: "/api/admin/data/download/download_one",
        type: "URL",
        parentId: "653",
        sequence: 2,
        enable: true,
      },
      {
        id: "661",
        name: "批量下载文件",
        url: "/api/admin/data/download/download_batch",
        type: "URL",
        parentId: "653",
        sequence: 3,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "654",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "653",
        sequence: 1,
        enable: true,
      },
      {
        id: "657",
        name: "批量下载文件",
        url: "Download",
        type: "BUTTON",
        parentId: "653",
        sequence: 4,
        enable: true,
      },
    ],
    links: [
      {
        id: "656",
        name: "下载文件",
        url: "Download",
        type: "LINK",
        parentId: "653",
        sequence: 3,
        enable: true,
      },
    ],
    lists: [
      {
        id: "658",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "653",
        sequence: 5,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "655",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "653",
        sequence: 2,
        enable: true,
      },
    ],
  },
  {
    id: "946",
    name: "成绩检查",
    url: "ScoreCheck",
    type: "MENU",
    parentId: "486",
    sequence: 4,
    enable: true,
    urls: [
      {
        id: "952",
        name: "列表获取",
        url: "/api/admin/mark/setting/scoreList",
        type: "URL",
        parentId: "946",
        sequence: 1,
        enable: true,
      },
      {
        id: "953",
        name: "详情列表",
        url: "/api/admin/mark/student/score",
        type: "URL",
        parentId: "946",
        sequence: 2,
        enable: true,
      },
      {
        id: "954",
        name: "获取配置",
        url: "/api/admin/mark/track/getSetting",
        type: "URL",
        parentId: "946",
        sequence: 3,
        enable: true,
      },
      {
        id: "955",
        name: "获取任务",
        url: "/api/admin/mark/track/getTask",
        type: "URL",
        parentId: "946",
        sequence: 4,
        enable: true,
      },
      {
        id: "956",
        name: "主观题检查-获取配置",
        url: "/api/admin/mark/inspected/getSetting",
        type: "URL",
        parentId: "946",
        sequence: 5,
        enable: true,
      },
      {
        id: "957",
        name: "主观题检查-获取任务",
        url: "/api/admin/mark/inspected/subjective/getTask",
        type: "URL",
        parentId: "946",
        sequence: 6,
        enable: true,
      },
      {
        id: "958",
        name: "主观题检查-保存任务",
        url: "/api/admin/mark/inspected/subjective/saveTask",
        type: "URL",
        parentId: "946",
        sequence: 7,
        enable: true,
      },
      {
        id: "959",
        name: "客观题检查-获取任务",
        url: "/api/admin/mark/inspected/objective/getTask",
        type: "URL",
        parentId: "946",
        sequence: 8,
        enable: true,
      },
      {
        id: "960",
        name: "客观题检查-保存任务",
        url: "/api/admin/mark/inspected/objective/saveTask",
        type: "URL",
        parentId: "946",
        sequence: 9,
        enable: true,
      },
      {
        id: "961",
        name: "签到表列表",
        url: "/api/admin/mark/paper/package/list",
        type: "URL",
        parentId: "946",
        sequence: 10,
        enable: true,
      },
      {
        id: "969",
        name: "客观题统分",
        url: "/api/admin/mark/student/objective/calculate",
        type: "URL",
        parentId: "946",
        sequence: 11,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "949",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "946",
        sequence: 3,
        enable: true,
      },
    ],
    links: [
      {
        id: "950",
        name: "查看详情",
        url: "Detail",
        type: "LINK",
        parentId: "946",
        sequence: 4,
        enable: true,
      },
      {
        id: "951",
        name: "查看签到表",
        url: "PackageDetail",
        type: "LINK",
        parentId: "946",
        sequence: 5,
        enable: true,
      },
    ],
    lists: [
      {
        id: "947",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "946",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "948",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "946",
        sequence: 2,
        enable: true,
      },
    ],
  },
  {
    id: "14",
    name: "考试中心",
    url: "exam",
    type: "MENU",
    parentId: "-1",
    sequence: 5,
    enable: true,
  },
  {
    id: "782",
    name: "操作日志",
    url: "ActionLogManage",
    type: "MENU",
    parentId: "112",
    sequence: 5,
    enable: true,
    urls: [
      {
        id: "783",
        name: "查询",
        url: "/api/admin/basic/operation_log/query",
        type: "URL",
        parentId: "782",
        sequence: 1,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "785",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "782",
        sequence: 2,
        enable: true,
      },
    ],
    lists: [
      {
        id: "803",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "782",
        sequence: 3,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "784",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "782",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "47",
    name: "印刷任务管理",
    url: "PrintTaskManage",
    type: "MENU",
    parentId: "38",
    sequence: 5,
    enable: true,
    urls: [
      {
        id: "59",
        name: "查询",
        url: "/api/admin/exam/print/task_list",
        type: "URL",
        parentId: "47",
        sequence: 1,
        enable: true,
      },
      {
        id: "60",
        name: "提交印刷",
        url: "/api/admin/exam/print/task_submit",
        type: "URL",
        parentId: "47",
        sequence: 2,
        enable: true,
      },
      {
        id: "61",
        name: "撤回提交",
        url: "/api/admin/exam/print/task_cancel",
        type: "URL",
        parentId: "47",
        sequence: 3,
        enable: true,
      },
      {
        id: "62",
        name: "汇总数据查询",
        url: "/api/admin/exam/print/task_total_data",
        type: "URL",
        parentId: "47",
        sequence: 4,
        enable: true,
      },
      {
        id: "873",
        name: "批量撤回",
        url: "/api/admin/exam/print/task_batch_cancel",
        type: "URL",
        parentId: "47",
        sequence: 4,
        enable: true,
      },
      {
        id: "446",
        name: "做废/恢复",
        url: "/api/admin/exam/print/task_normal",
        type: "URL",
        parentId: "47",
        sequence: 4,
        enable: true,
      },
      {
        id: "161",
        name: "查看PDF",
        url: "/api/admin/exam/print/task_view_pdf",
        type: "URL",
        parentId: "47",
        sequence: 6,
        enable: true,
      },
      {
        id: "162",
        name: "批量下载PDF",
        url: "/api/admin/exam/print/task_download_pdf",
        type: "URL",
        parentId: "47",
        sequence: 7,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "331",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "47",
        sequence: 1,
        enable: true,
      },
      {
        id: "336",
        name: "批量下载PDF",
        url: "BatchDownload",
        type: "BUTTON",
        parentId: "47",
        sequence: 2,
        enable: true,
      },
      {
        id: "872",
        name: "批量撤回",
        url: "BatchEnd",
        type: "BUTTON",
        parentId: "47",
        sequence: 3,
        enable: true,
      },
    ],
    links: [
      {
        id: "332",
        name: "查看pdf",
        url: "Download",
        type: "LINK",
        parentId: "47",
        sequence: 1,
        enable: true,
      },
      {
        id: "335",
        name: "撤回提交",
        url: "End",
        type: "LINK",
        parentId: "47",
        sequence: 2,
        enable: true,
      },
      {
        id: "447",
        name: "作废/恢复",
        url: "Normal",
        type: "LINK",
        parentId: "47",
        sequence: 3,
        enable: true,
      },
      {
        id: "562",
        name: "提交印刷",
        url: "Submit",
        type: "LINK",
        parentId: "47",
        sequence: 5,
        enable: true,
      },
      {
        id: "330",
        name: "重新生成pdf",
        url: "CreatePdf",
        type: "LINK",
        parentId: "47",
        sequence: 6,
        enable: true,
      },
    ],
    lists: [
      {
        id: "334",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "47",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "333",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "47",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "112",
    name: "系统设置",
    url: "data",
    type: "MENU",
    parentId: "1",
    sequence: 5,
    enable: true,
  },
  {
    id: "450",
    name: "班级管理",
    url: "ClazzManage",
    type: "MENU",
    parentId: "356",
    sequence: 5,
    enable: true,
    urls: [
      {
        id: "451",
        name: "查询",
        url: "/api/admin/basic/clazz/query",
        type: "URL",
        parentId: "450",
        sequence: 1,
        enable: true,
      },
      {
        id: "452",
        name: "新增/编辑",
        url: "/api/admin/basic/clazz/save",
        type: "URL",
        parentId: "450",
        sequence: 2,
        enable: true,
      },
      {
        id: "453",
        name: "批量删除（逻辑）",
        url: "/api/admin/basic/clazz/delete_batch",
        type: "URL",
        parentId: "450",
        sequence: 3,
        enable: true,
      },
      {
        id: "462",
        name: "班级数据源查询",
        url: "/api/admin/basic/clazz/datasource",
        type: "URL",
        parentId: "450",
        sequence: 5,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "571",
        name: "批量删除",
        url: "Delete",
        type: "BUTTON",
        parentId: "450",
        sequence: 1,
        enable: true,
      },
      {
        id: "455",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "450",
        sequence: 1,
        enable: true,
      },
      {
        id: "457",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "450",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "458",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "450",
        sequence: 1,
        enable: true,
      },
      {
        id: "459",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "450",
        sequence: 1,
        enable: true,
      },
    ],
    lists: [
      {
        id: "456",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "450",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "461",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "450",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "358",
    name: "学生管理",
    url: "StudentManage",
    type: "MENU",
    parentId: "356",
    sequence: 6,
    enable: true,
    urls: [
      {
        id: "362",
        name: "查询",
        url: "/api/admin/basic/student/query",
        type: "URL",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
      {
        id: "363",
        name: "增/编辑",
        url: "/api/admin/basic/student/save",
        type: "URL",
        parentId: "358",
        sequence: 2,
        enable: true,
      },
      {
        id: "364",
        name: "批量删除（逻辑）",
        url: "/api/admin/basic/student/delete_batch",
        type: "URL",
        parentId: "358",
        sequence: 3,
        enable: true,
      },
      {
        id: "365",
        name: "批量导入（异步）",
        url: "/api/admin/basic/student/data_import",
        type: "URL",
        parentId: "358",
        sequence: 4,
        enable: true,
      },
      {
        id: "569",
        name: "根据条件删除（物理）",
        url: "/api/admin/basic/student/delete_by_condition",
        type: "URL",
        parentId: "358",
        sequence: 5,
        enable: true,
      },
      {
        id: "815",
        name: "导出",
        url: "/api/admin/basic/student/export",
        type: "URL",
        parentId: "358",
        sequence: 6,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "570",
        name: "批量删除",
        url: "Delete",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
      {
        id: "377",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
      {
        id: "379",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
      {
        id: "382",
        name: "导入",
        url: "Import",
        type: "BUTTON",
        parentId: "358",
        sequence: 2,
        enable: true,
      },
      {
        id: "814",
        name: "导出",
        url: "Export",
        type: "BUTTON",
        parentId: "358",
        sequence: 3,
        enable: true,
      },
    ],
    links: [
      {
        id: "380",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
      {
        id: "381",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
    ],
    lists: [
      {
        id: "378",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "400",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "35801",
    name: "考生管理",
    url: "ExamStudentManage",
    type: "MENU",
    parentId: "356",
    sequence: 61,
    enable: true,
    urls: [
      {
        id: "362",
        name: "查询",
        url: "/api/admin/basic/student/query",
        type: "URL",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
      {
        id: "363",
        name: "新增/编辑",
        url: "/api/admin/basic/student/save",
        type: "URL",
        parentId: "358",
        sequence: 2,
        enable: true,
      },
      {
        id: "364",
        name: "批量删除（逻辑）",
        url: "/api/admin/basic/student/delete_batch",
        type: "URL",
        parentId: "358",
        sequence: 3,
        enable: true,
      },
      {
        id: "365",
        name: "批量导入（异步）",
        url: "/api/admin/basic/student/data_import",
        type: "URL",
        parentId: "358",
        sequence: 4,
        enable: true,
      },
      {
        id: "569",
        name: "根据条件删除（物理）",
        url: "/api/admin/basic/student/delete_by_condition",
        type: "URL",
        parentId: "358",
        sequence: 5,
        enable: true,
      },
      {
        id: "815",
        name: "导出",
        url: "/api/admin/basic/student/export",
        type: "URL",
        parentId: "358",
        sequence: 6,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "570",
        name: "批量删除",
        url: "Delete",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
      {
        id: "377",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
      {
        id: "379",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
      {
        id: "382",
        name: "导入",
        url: "Import",
        type: "BUTTON",
        parentId: "358",
        sequence: 2,
        enable: true,
      },
      {
        id: "814",
        name: "导出",
        url: "Export",
        type: "BUTTON",
        parentId: "358",
        sequence: 3,
        enable: true,
      },
    ],
    links: [
      {
        id: "380",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
      {
        id: "381",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
    ],
    lists: [
      {
        id: "378",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "400",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "358",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "483",
    name: "评卷管理",
    url: "stmms",
    type: "MENU",
    parentId: "-1",
    sequence: 6,
    enable: true,
  },
  {
    id: "13",
    name: "课程管理",
    url: "CourseManage",
    type: "MENU",
    parentId: "356",
    sequence: 7,
    enable: true,
    urls: [
      {
        id: "96",
        name: "查询",
        url: "/api/admin/basic/course/list",
        type: "URL",
        parentId: "13",
        sequence: 1,
        enable: true,
      },
      {
        id: "97",
        name: "新增/修改",
        url: "/api/admin/basic/course/save",
        type: "URL",
        parentId: "13",
        sequence: 2,
        enable: true,
      },
      {
        id: "367",
        name: "新增/编辑",
        url: "/api/admin/basic/course/save",
        type: "URL",
        parentId: "13",
        sequence: 2,
        enable: true,
      },
      {
        id: "368",
        name: "批量删除",
        url: "/api/admin/basic/course/delete_batch",
        type: "URL",
        parentId: "13",
        sequence: 3,
        enable: true,
      },
      {
        id: "369",
        name: "批量导入",
        url: "/api/admin/basic/course/data_import",
        type: "URL",
        parentId: "13",
        sequence: 4,
        enable: true,
      },
      {
        id: "573",
        name: "根据查询条件批量删除",
        url: "/api/admin/basic/course/delete_by_query",
        type: "URL",
        parentId: "13",
        sequence: 5,
        enable: true,
      },
      {
        id: "817",
        name: "导出",
        url: "/api/admin/basic/course/export",
        type: "URL",
        parentId: "13",
        sequence: 6,
        enable: true,
      },
      {
        id: "839",
        name: "基础课程-根据学院查询课程",
        url: "/api/admin/basic/course/list_by_org",
        type: "URL",
        parentId: "13",
        sequence: 7,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "263",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "13",
        sequence: 1,
        enable: true,
      },
      {
        id: "385",
        name: "新增",
        url: "Add",
        type: "BUTTON",
        parentId: "13",
        sequence: 1,
        enable: true,
      },
      {
        id: "388",
        name: "导入",
        url: "Import",
        type: "BUTTON",
        parentId: "13",
        sequence: 2,
        enable: true,
      },
      {
        id: "574",
        name: "批量删除",
        url: "Delete",
        type: "BUTTON",
        parentId: "13",
        sequence: 5,
        enable: true,
      },
      {
        id: "816",
        name: "导出",
        url: "Export",
        type: "BUTTON",
        parentId: "13",
        sequence: 6,
        enable: true,
      },
    ],
    links: [
      {
        id: "268",
        name: "编辑",
        url: "Edit",
        type: "LINK",
        parentId: "13",
        sequence: 1,
        enable: true,
      },
      {
        id: "269",
        name: "删除",
        url: "Delete",
        type: "LINK",
        parentId: "13",
        sequence: 2,
        enable: true,
      },
    ],
    lists: [
      {
        id: "271",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "13",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "270",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "13",
        sequence: 2,
        enable: true,
      },
    ],
  },
  {
    id: "506",
    name: "归档管理",
    url: "ScoreArchiveManage",
    type: "MENU",
    parentId: "-1",
    sequence: 7,
    enable: true,
  },
  {
    id: "680",
    name: "教研分析",
    url: "analyze",
    type: "MENU",
    parentId: "-1",
    sequence: 8,
    enable: true,
  },
  {
    id: "700",
    name: "目标达成度",
    url: "target",
    type: "MENU",
    parentId: "-1",
    sequence: 9,
    enable: true,
  },
  {
    id: "701",
    name: "目标达成度",
    url: "courseTarget",
    type: "MENU",
    parentId: "700",
    sequence: 1,
    enable: true,
  },
  {
    id: "702",
    name: "成绩管理",
    url: "TargetScoreManage",
    type: "MENU",
    parentId: "701",
    sequence: 1,
    enable: true,
    urls: [],
    buttons: [
      {
        id: "263",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "702",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "268",
        name: "管理成绩",
        url: "detail",
        type: "LINK",
        parentId: "702",
        sequence: 1,
        enable: true,
      },
    ],
    lists: [
      {
        id: "271",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "13",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "270",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "13",
        sequence: 2,
        enable: true,
      },
    ],
  },
  {
    id: "703",
    name: "报告管理",
    url: "TargetReportManage",
    type: "MENU",
    parentId: "701",
    sequence: 2,
    enable: true,
    urls: [],
    buttons: [
      {
        id: "263",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "703",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "268",
        name: "管理成绩",
        url: "detail",
        type: "LINK",
        parentId: "703",
        sequence: 1,
        enable: true,
      },
    ],
    lists: [
      {
        id: "271",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "13",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "270",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "13",
        sequence: 2,
        enable: true,
      },
    ],
  },
  {
    id: "48702",
    name: "文档管理",
    url: "CourseDocumentManage",
    type: "MENU",
    parentId: "561",
    sequence: 3,
    enable: true,
    urls: [
      {
        id: "542",
        name: "查询接口",
        url: "/api/admin/mark/archive/score/list",
        type: "URL",
        parentId: "487",
        sequence: 1,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "500",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "487",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "488",
        name: "班级详情",
        url: "ClassScoreDetail",
        type: "LINK",
        parentId: "487",
        sequence: 1,
        enable: true,
      },
      {
        id: "489",
        name: "成绩报告",
        url: "ScoreReport",
        type: "LINK",
        parentId: "487",
        sequence: 2,
        enable: true,
      },
    ],
    lists: [
      {
        id: "498",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "487",
        sequence: 1,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "499",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "487",
        sequence: 1,
        enable: true,
      },
    ],
  },
  {
    id: "78201",
    name: "PDF生成管理",
    url: "PdfBuildManage",
    type: "MENU",
    parentId: "112",
    sequence: 6,
    enable: true,
    urls: [
      {
        id: "783",
        name: "查询",
        url: "/api/admin/basic/operation_log/query",
        type: "URL",
        parentId: "782",
        sequence: 1,
        enable: true,
      },
    ],
    buttons: [
      {
        id: "785",
        name: "查询",
        url: "Select",
        type: "BUTTON",
        parentId: "782",
        sequence: 2,
        enable: true,
      },
    ],
    lists: [
      {
        id: "803",
        name: "列表",
        url: "List",
        type: "LIST",
        parentId: "782",
        sequence: 3,
        enable: true,
      },
    ],
    conditions: [
      {
        id: "784",
        name: "查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "782",
        sequence: 1,
        enable: true,
      },
    ],
    links: [
      {
        id: "338",
        name: "导出日志",
        url: "Export",
        type: "LINK",
        parentId: "113",
        sequence: 1,
        enable: true,
      },
      {
        id: "413",
        name: "重新生成pdf",
        url: "CreatePdf",
        type: "LINK",
        parentId: "113",
        sequence: 3,
        enable: true,
      },
    ],
  },
];
